Bug 1001241 - comedilib : duplicate documentation files / potentially conflicting
comedilib : duplicate documentation files / potentially conflicting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comedilib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 15:54 EDT by Michael Schwendt
Modified: 2013-12-15 10:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 10:51:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-26 15:54:36 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

=> comedilib-0.8.1-12.fc20.src.rpm
=> comedilib-0.8.1-12.fc20.i686 in fedora-development-i386
  File conflict with: comedilib-devel-0.8.1-12.fc20.i686
     /usr/share/doc/comedilib/AUTHORS
     /usr/share/doc/comedilib/COPYING
     /usr/share/doc/comedilib/INSTALL
     /usr/share/doc/comedilib/README
     /usr/share/doc/comedilib/das1600.conf
     /usr/share/doc/comedilib/dt282x.conf
     /usr/share/doc/comedilib/html/acq-seq.gif
     /usr/share/doc/comedilib/html/g6677.html
     /usr/share/doc/comedilib/html/g6679.html
     /usr/share/doc/comedilib/html/index.html
     /usr/share/doc/comedilib/html/r4835.html
     /usr/share/doc/comedilib/html/r4857.html
     /usr/share/doc/comedilib/html/r4879.html
     /usr/share/doc/comedilib/html/r4909.html
     /usr/share/doc/comedilib/html/r4930.html
     /usr/share/doc/comedilib/html/r4951.html
     /usr/share/doc/comedilib/html/r4973.html
     /usr/share/doc/comedilib/html/r4992.html
     /usr/share/doc/comedilib/html/r5011.html
     /usr/share/doc/comedilib/html/r5032.html
     /usr/share/doc/comedilib/html/r5051.html
     /usr/share/doc/comedilib/html/r5070.html
     /usr/share/doc/comedilib/html/r5092.html
     /usr/share/doc/comedilib/html/r5115.html
     /usr/share/doc/comedilib/html/r5134.html
     /usr/share/doc/comedilib/html/r5153.html
     /usr/share/doc/comedilib/html/r5268.html
     /usr/share/doc/comedilib/html/r5289.html
     /usr/share/doc/comedilib/html/r5310.html
     /usr/share/doc/comedilib/html/r5331.html
     /usr/share/doc/comedilib/html/r5360.html
     /usr/share/doc/comedilib/html/r5383.html
     /usr/share/doc/comedilib/html/r5408.html
     /usr/share/doc/comedilib/html/r5437.html
     /usr/share/doc/comedilib/html/r5458.html
     /usr/share/doc/comedilib/html/r5479.html
     /usr/share/doc/comedilib/html/r5503.html
     /usr/share/doc/comedilib/html/r5527.html
     /usr/share/doc/comedilib/html/r5553.html
     /usr/share/doc/comedilib/html/r5574.html
     /usr/share/doc/comedilib/html/r5598.html
     /usr/share/doc/comedilib/html/r5619.html
     /usr/share/doc/comedilib/html/r5644.html
     /usr/share/doc/comedilib/html/r5673.html
     /usr/share/doc/comedilib/html/r5697.html
     /usr/share/doc/comedilib/html/r5725.html
     /usr/share/doc/comedilib/html/r5758.html
     /usr/share/doc/comedilib/html/r5790.html
     /usr/share/doc/comedilib/html/r5818.html
     /usr/share/doc/comedilib/html/r5849.html
     /usr/share/doc/comedilib/html/r5876.html
     /usr/share/doc/comedilib/html/r5903.html
     /usr/share/doc/comedilib/html/r5929.html
     /usr/share/doc/comedilib/html/r5955.html
     /usr/share/doc/comedilib/html/r5983.html
     /usr/share/doc/comedilib/html/r6018.html
     /usr/share/doc/comedilib/html/r6046.html
     /usr/share/doc/comedilib/html/r6068.html
     /usr/share/doc/comedilib/html/r6092.html
     /usr/share/doc/comedilib/html/r6115.html
     /usr/share/doc/comedilib/html/r6140.html
     /usr/share/doc/comedilib/html/r6142.html
     /usr/share/doc/comedilib/html/r6162.html
     /usr/share/doc/comedilib/html/r6164.html
     /usr/share/doc/comedilib/html/r6184.html
     /usr/share/doc/comedilib/html/r6186.html
     /usr/share/doc/comedilib/html/r6212.html
     /usr/share/doc/comedilib/html/r6214.html
     /usr/share/doc/comedilib/html/r6233.html
     /usr/share/doc/comedilib/html/r6235.html
     /usr/share/doc/comedilib/html/r6256.html
     /usr/share/doc/comedilib/html/r6258.html
     /usr/share/doc/comedilib/html/r6277.html
     /usr/share/doc/comedilib/html/r6279.html
     /usr/share/doc/comedilib/html/r6300.html
     /usr/share/doc/comedilib/html/r6302.html
     /usr/share/doc/comedilib/html/r6323.html
     /usr/share/doc/comedilib/html/r6325.html
     /usr/share/doc/comedilib/html/r6344.html
     /usr/share/doc/comedilib/html/r6346.html
     /usr/share/doc/comedilib/html/r6374.html
     /usr/share/doc/comedilib/html/r6376.html
     /usr/share/doc/comedilib/html/r6410.html
     /usr/share/doc/comedilib/html/r6412.html
     /usr/share/doc/comedilib/html/r6433.html
     /usr/share/doc/comedilib/html/r6435.html
     /usr/share/doc/comedilib/html/r6473.html
     /usr/share/doc/comedilib/html/r6475.html
     /usr/share/doc/comedilib/html/r6510.html
     /usr/share/doc/comedilib/html/r6512.html
     /usr/share/doc/comedilib/html/r6533.html
     /usr/share/doc/comedilib/html/r6535.html
     /usr/share/doc/comedilib/html/r6559.html
     /usr/share/doc/comedilib/html/r6561.html
     /usr/share/doc/comedilib/html/r6585.html
     /usr/share/doc/comedilib/html/r6587.html
     /usr/share/doc/comedilib/html/r6631.html
     /usr/share/doc/comedilib/html/r6633.html
     /usr/share/doc/comedilib/html/x1394.html
     /usr/share/doc/comedilib/html/x1781.html
     /usr/share/doc/comedilib/html/x333.html
     /usr/share/doc/comedilib/html/x403.html
     /usr/share/doc/comedilib/html/x4629.html
     /usr/share/doc/comedilib/html/x621.html
     /usr/share/doc/comedilib/modules.conf

=> comedilib-0.8.1-12.fc20.src.rpm
=> comedilib-devel-0.8.1-12.fc20.i686 in fedora-development-i386
  File conflict with: comedilib-0.8.1-12.fc20.i686
     /usr/share/doc/comedilib/AUTHORS
     /usr/share/doc/comedilib/COPYING
     /usr/share/doc/comedilib/INSTALL
     /usr/share/doc/comedilib/README
     /usr/share/doc/comedilib/das1600.conf
     /usr/share/doc/comedilib/dt282x.conf
     /usr/share/doc/comedilib/html/acq-seq.gif
     /usr/share/doc/comedilib/html/g6677.html
     /usr/share/doc/comedilib/html/g6679.html
     /usr/share/doc/comedilib/html/index.html
     /usr/share/doc/comedilib/html/r4835.html
     /usr/share/doc/comedilib/html/r4857.html
     /usr/share/doc/comedilib/html/r4879.html
     /usr/share/doc/comedilib/html/r4909.html
     /usr/share/doc/comedilib/html/r4930.html
     /usr/share/doc/comedilib/html/r4951.html
     /usr/share/doc/comedilib/html/r4973.html
     /usr/share/doc/comedilib/html/r4992.html
     /usr/share/doc/comedilib/html/r5011.html
     /usr/share/doc/comedilib/html/r5032.html
     /usr/share/doc/comedilib/html/r5051.html
     /usr/share/doc/comedilib/html/r5070.html
     /usr/share/doc/comedilib/html/r5092.html
     /usr/share/doc/comedilib/html/r5115.html
     /usr/share/doc/comedilib/html/r5134.html
     /usr/share/doc/comedilib/html/r5153.html
     /usr/share/doc/comedilib/html/r5268.html
     /usr/share/doc/comedilib/html/r5289.html
     /usr/share/doc/comedilib/html/r5310.html
     /usr/share/doc/comedilib/html/r5331.html
     /usr/share/doc/comedilib/html/r5360.html
     /usr/share/doc/comedilib/html/r5383.html
     /usr/share/doc/comedilib/html/r5408.html
     /usr/share/doc/comedilib/html/r5437.html
     /usr/share/doc/comedilib/html/r5458.html
     /usr/share/doc/comedilib/html/r5479.html
     /usr/share/doc/comedilib/html/r5503.html
     /usr/share/doc/comedilib/html/r5527.html
     /usr/share/doc/comedilib/html/r5553.html
     /usr/share/doc/comedilib/html/r5574.html
     /usr/share/doc/comedilib/html/r5598.html
     /usr/share/doc/comedilib/html/r5619.html
     /usr/share/doc/comedilib/html/r5644.html
     /usr/share/doc/comedilib/html/r5673.html
     /usr/share/doc/comedilib/html/r5697.html
     /usr/share/doc/comedilib/html/r5725.html
     /usr/share/doc/comedilib/html/r5758.html
     /usr/share/doc/comedilib/html/r5790.html
     /usr/share/doc/comedilib/html/r5818.html
     /usr/share/doc/comedilib/html/r5849.html
     /usr/share/doc/comedilib/html/r5876.html
     /usr/share/doc/comedilib/html/r5903.html
     /usr/share/doc/comedilib/html/r5929.html
     /usr/share/doc/comedilib/html/r5955.html
     /usr/share/doc/comedilib/html/r5983.html
     /usr/share/doc/comedilib/html/r6018.html
     /usr/share/doc/comedilib/html/r6046.html
     /usr/share/doc/comedilib/html/r6068.html
     /usr/share/doc/comedilib/html/r6092.html
     /usr/share/doc/comedilib/html/r6115.html
     /usr/share/doc/comedilib/html/r6140.html
     /usr/share/doc/comedilib/html/r6142.html
     /usr/share/doc/comedilib/html/r6162.html
     /usr/share/doc/comedilib/html/r6164.html
     /usr/share/doc/comedilib/html/r6184.html
     /usr/share/doc/comedilib/html/r6186.html
     /usr/share/doc/comedilib/html/r6212.html
     /usr/share/doc/comedilib/html/r6214.html
     /usr/share/doc/comedilib/html/r6233.html
     /usr/share/doc/comedilib/html/r6235.html
     /usr/share/doc/comedilib/html/r6256.html
     /usr/share/doc/comedilib/html/r6258.html
     /usr/share/doc/comedilib/html/r6277.html
     /usr/share/doc/comedilib/html/r6279.html
     /usr/share/doc/comedilib/html/r6300.html
     /usr/share/doc/comedilib/html/r6302.html
     /usr/share/doc/comedilib/html/r6323.html
     /usr/share/doc/comedilib/html/r6325.html
     /usr/share/doc/comedilib/html/r6344.html
     /usr/share/doc/comedilib/html/r6346.html
     /usr/share/doc/comedilib/html/r6374.html
     /usr/share/doc/comedilib/html/r6376.html
     /usr/share/doc/comedilib/html/r6410.html
     /usr/share/doc/comedilib/html/r6412.html
     /usr/share/doc/comedilib/html/r6433.html
     /usr/share/doc/comedilib/html/r6435.html
     /usr/share/doc/comedilib/html/r6473.html
     /usr/share/doc/comedilib/html/r6475.html
     /usr/share/doc/comedilib/html/r6510.html
     /usr/share/doc/comedilib/html/r6512.html
     /usr/share/doc/comedilib/html/r6533.html
     /usr/share/doc/comedilib/html/r6535.html
     /usr/share/doc/comedilib/html/r6559.html
     /usr/share/doc/comedilib/html/r6561.html
     /usr/share/doc/comedilib/html/r6585.html
     /usr/share/doc/comedilib/html/r6587.html
     /usr/share/doc/comedilib/html/r6631.html
     /usr/share/doc/comedilib/html/r6633.html
     /usr/share/doc/comedilib/html/x1394.html
     /usr/share/doc/comedilib/html/x1781.html
     /usr/share/doc/comedilib/html/x333.html
     /usr/share/doc/comedilib/html/x403.html
     /usr/share/doc/comedilib/html/x4629.html
     /usr/share/doc/comedilib/html/x621.html
     /usr/share/doc/comedilib/modules.conf
Comment 1 Michael Schwendt 2013-12-14 08:07:58 EST
Fix committed into Rawhide git.

[...]

Considering that the package has been non-functional with regard to one half of the Python Module being mispackaged,

  >>> import comedi
  Traceback (most recent call last):
    File "<stdin>", line 1, in <module>
    File "/usr/lib64/python2.7/site-packages/comedi.py", line 28, in <module>
      _comedi = swig_import_helper()
    File "/usr/lib64/python2.7/site-packages/comedi.py", line 20, in swig_import_helper
      import _comedi
  ImportError: No module named _comedi

a re-review of the packaging would be an idea. For example, the HTML documentation is not API-only stuff and could be included in the base package. The demos could be prebuilt and included in the -devel package. That would be beyond fixing this duplicate docs bug, though.
Comment 2 Michael Schwendt 2013-12-15 10:51:53 EST
Fixed in Rawhide, leaving F-20 up to maintainers.

Note You need to log in before you can comment on or make changes to this bug.